MBDYN(1)

NAME
mbdyn - MultiBody Dynamics analysis system.

SYNOPSIS
mbdyn [-f input-file] [-H ] [-h ] [-l ] [-n [nice-level]] [-o output-file-prefix] [-P ] [-p ] [-R ] [-r ] [-s ] [-T ] [-t ] [-W new-working-dir] [-w ] [input-file[...]]

DESCRIPTION
mbdyn is a multibody analysis tool released under GPL <http://www.gnu.org/licenses/gpl.html>. It solves initial value problems for multibody, multidisciplinary systems including, but not limited to, the mechanical and aeroservoelastic fields.

OPTIONS

-f, --input-file  <input-file>
    Read model and analysis data from file input-file; default is standard input.

-H, --show-table
    Shows a list of the symbols defined in the symbol table of the mathematical parser, with their value.

-h, --help
    Displays usage information.

-l, --license
    Show licensing info.

-n, --nice  [<nice-level>]
    Renice process (to level nice-level, if given). Defined on architectures that support the nice(2) system call.

-o, --output-file  <output-file-prefix>
    Write results to files with prefix output-file-prefix (extensions are content-dependent); default is <input-file>, if any, or "MBDyn".

-P, --pedantic
    Issue pedantic warnings (more occurrences raise the level).

-p, --parallel
    Run in parallel mode (only if compiled with MPI); currently needs "parallel;" statement in "data" block.

-R, --no-redefine
    Do not allow symbols in the mathematical parser to be redefined.

-r, --redefine
    Allow symbols in the mathematical parser to be redefined; useful in conjunction with -t.

-s, --silent
    Reduce verbosity (more occurrences reduce the verbosity level further).

-T, --no-same-table
    Do not preserve the existing mathematical parser symbol table when running multiple analyses in the same run.

-t, --same-table
    Preserve the existing mathematical parser symbol table when running multiple analyses in the same run (e.g. by issuing multiple input files on the command line). It may require -r to allow redefinition of symbols.

-W, --working-dir <new-working-dir>
    Use <new-working-dir> as working directory instead of the current

-w, --warranty
    Issue a "warranty" message.

AUTHOR
The MBDyn Team <http://www.aero.polimi.it/~mbdyn/, http://www.mbdyn.org/>

ACKNOWLEDGEMENTS
MBDyn is developed and maintained by The MBDyn Team (http://www.aero.polimi.it/~mbdyn/).